> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get TDS certificate job status

> Check a certificate job's status using its job ID. Retrieve PDF ZIP download URLs when the job succeeds, or the failure message if it fails.

To find an earlier job, use [Search certificate jobs](/api-reference/tds/compliance/certificates/endpoints/fetch_job).


## OpenAPI

````yaml api-reference/tds/compliance/openapi.json GET /tds/compliance/traces/deductors/forms/{certificate_type}/status
openapi: 3.1.0
info:
  title: compliance
  description: >-
    Tax Deducted at Source (TDS) is an indirect method of collecting Income Tax.
    TDS is based on the principle of “Pay as you earn” which is beneficial for
    both the Government and the taxpayer. It is where a person making a payment
    of specified nature is liable to deduct tax at a prescribed rate. This
    ensures continuous revenue for the Government by way of Tax Deducted at the
    Source.


    The Payer making a payment is also responsible to deposit TDS with the
    Income Tax Department within a specified date and file a TDS Return. Once
    filed, the deposited amount will be shown in the Payee's Form 26AS which
    they can then use to claim tax credits when filing ITR.


    However, staying TDS compliant can be a hassle for businesses, as they are
    required to :


    1. Deduct TDS from payments that are liable for TDS Deduction at an
    appropriate rate.
        
    2. Deposit TDS to Government before the due date.
        
    3. File TDS Returns on a Quarterly basis.
        
    4. Issue a TDS Certificate by the deductor to the deductee.
        

    Organizations deducting TDS have to remain compliant with each of the steps.
    Failure to do so results in TDS Penalties by Authorities. Sandbox provides
    TDS Compliance APIs to help you automate end-to-end TDS compliance.
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
tags:
  - name: TDS Compliance Check
  - name: Download CSI
  - name: FVU Generation
  - name: E-File TDS Return
  - name: TDS
  - name: TDS Certificate
  - name: TRACES Credentials
paths:
  /tds/compliance/traces/deductors/forms/{certificate_type}/status:
    get:
      tags:
        - TDS
        - TDS Certificate
      summary: Get certificate job status
      description: >-
        Return the current status of a certificate generation job. When the job
        succeeds, the response includes URLs for the generated certificate ZIP
        files.
      operationId: CertificateJobStatus
      parameters:
        - name: certificate_type
          in: path
          description: >-
            Certificate type. Use 130 for salary TDS, 131 for other TDS, or 133
            for TCS.
          required: true
          example: '131'
          schema:
            type: string
            enum:
              - '130'
              - '131'
              - '133'
        - name: job_id
          in: query
          description: Unique identifier returned when the certificate job was created.
          required: true
          example: '{{job_id}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version for the request.
          required: true
          example: '{{api_version}}'
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            JWT access token. For token-generation steps, refer to the
            [Quickstart
            Guide](https://developer.sandbox.co.in/guides/get-started/quickstart).
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key used to identify and authenticate the client.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
      responses:
        '200':
          description: Certificate job status returned.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  data:
                    type: object
                    properties:
                      created_at:
                        type: integer
                        description: Unix timestamp when the job was created.
                      updated_at:
                        type: integer
                        description: Unix timestamp when the job was last updated.
                      '@entity':
                        type: string
                        description: Response entity type.
                      job_id:
                        type: string
                        description: Unique identifier for the certificate generation job.
                      tan:
                        type: string
                        description: Tax Deduction and Collection Account Number (TAN).
                      tax_year:
                        type: string
                        description: Tax year for the certificate job.
                      quarter:
                        type: string
                        description: Quarter of the tax year.
                      form:
                        type: string
                        description: Certificate form used for the job.
                        enum:
                          - '130'
                          - '131'
                          - '133'
                      certificate_pdf_zip_urls:
                        type: array
                        description: >-
                          URLs for the generated certificate ZIP files. Present
                          when the job succeeds.
                        items:
                          type: string
                          format: uri
                      message:
                        type: string
                        description: Reason the certificate job failed, when applicable.
                      status:
                        type: string
                        description: Current status of the certificate generation job.
                        enum:
                          - created
                          - queued
                          - in_progress
                          - succeeded
                          - failed
                    required:
                      - created_at
                      - updated_at
                      - '@entity'
                      - job_id
                      - tan
                      - tax_year
                      - quarter
                      - form
                      - status
                  transaction_id:
                    type: string
                    description: Unique identifier for the API transaction.
                required:
                  - code
                  - timestamp
                  - data
                  - transaction_id
              examples:
                Failed to submit certificate job:
                  summary: Failed to submit certificate job
                  value:
                    code: 200
                    timestamp: 1788762887353
                    data:
                      created_at: 1788762771957
                      updated_at: 1788762775867
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: b88f494e-e60c-407c-aca4-09676d1c1f9b
                      tan: AHMS45586C
                      tax_year: TY 2026-27
                      quarter: Q1
                      form: '131'
                      message: Failed to submit the certificate job
                      status: failed
                    transaction_id: a0a12a28-82bb-4fab-bdb2-2b314c97deba
                Certificate generated:
                  summary: Certificate generated
                  value:
                    code: 200
                    timestamp: 1788764430169
                    data:
                      created_at: 1788763729910
                      updated_at: 1788763734899
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: 745cde57-7a6a-42db-b940-e83eea6b817b
                      tan: AHMS45586C
                      tax_year: TY 2026-27
                      quarter: Q1
                      form: '131'
                      certificate_pdf_zip_urls:
                        - '{{certificate_pdf_zip_url}}'
                      status: succeeded
                    transaction_id: cdb8d7a8-95d3-44c9-a28d-a69c5dd74588
                Status Queued:
                  summary: Status Queued
                  value:
                    code: 200
                    timestamp: 1788764483668
                    data:
                      created_at: 1788764478529
                      updated_at: 1788764480520
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: 26a67dd9-70a8-4ec6-be9a-869191cbd9bf
                      tan: AHMS45586C
                      tax_year: TY 2026-27
                      quarter: Q1
                      form: '131'
                      status: queued
                    transaction_id: 4dd921f2-aa17-4f8e-9365-15fb1397f2bc
                Status In progress:
                  summary: Status In progress
                  value:
                    code: 200
                    timestamp: 1788764514931
                    data:
                      created_at: 1788764478529
                      updated_at: 1788764480520
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: 26a67dd9-70a8-4ec6-be9a-869191cbd9bf
                      tan: AHMS45586C
                      tax_year: TY 2026-27
                      quarter: Q1
                      form: '131'
                      status: in_progress
                    transaction_id: fb474b02-bc0e-419e-a506-57de18ee554e
                Credentials not found:
                  summary: Credentials not found
                  value:
                    code: 200
                    timestamp: 1788765768854
                    data:
                      created_at: 1788765755936
                      updated_at: 1788765759820
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: 70c7df85-8860-4d61-b168-4881cb48792f
                      tan: AHMS45586C
                      tax_year: TY 2026-27
                      quarter: Q1
                      form: '131'
                      message: Credentials not found
                      status: failed
                    transaction_id: a970bc6d-42b6-4f31-b1d8-257a574c7168
                Certificate not available:
                  summary: Certificate not available
                  value:
                    code: 200
                    timestamp: 1788770774783
                    data:
                      created_at: 1788770757399
                      updated_at: 1788770762605
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: d09bba2a-3302-4469-a784-b72924e6bce2
                      tan: AHMS45586C
                      tax_year: TY 2026-27
                      quarter: Q1
                      form: '131'
                      message: >-
                        No statement is available for the selected period.
                        Please choose a valid period to generate the
                        certificate.
                      status: failed
                    transaction_id: b6109848-9f6d-47d3-b47c-82b039935a86
                Invalid Credentials:
                  summary: Invalid Credentials
                  value:
                    code: 200
                    timestamp: 1788770965182
                    data:
                      created_at: 1788770941288
                      updated_at: 1788770941436
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: e75e7d3d-0a44-4454-bfa5-3a2ce3caa2a0
                      tan: AHMS45586C
                      tax_year: TY 2026-27
                      quarter: Q1
                      form: '131'
                      message: Invalid credentials
                      status: failed
                    transaction_id: 607e51d9-803e-4422-802d-9933c1388007
          headers: {}
        '521':
          description: No certificate job data was found for the requested job ID.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  message:
                    type: string
                  transaction_id:
                    type: string
                required:
                  - code
                  - timestamp
                  - message
                  - transaction_id
              examples:
                Data Not Found:
                  summary: Data Not Found
                  value:
                    code: 521
                    timestamp: 1788765830963
                    message: Data not found
                    transaction_id: 6bc012e4-e16f-4814-a809-710479da3334
          headers: {}
      deprecated: false
      security: []

````